﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Shared.Styles;

namespace UltraChartColumChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("Value1", typeof(int));
            dt.Columns.Add("Value2", typeof(int));

            dt.Rows.Add("Test 1", 10, 20);
            dt.Rows.Add("Test 2", 5, 10);
            dt.Rows.Add("Test 3", 15, 45);

            ultraChart1.DataSource = dt;

            ultraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMin = 0;
            ultraChart1.Axis.Y.RangeMax = 60;

            
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {

            foreach (Primitive item in e.SceneGraph)
            {
                Box pl = item as Box;
                if (pl != null && pl.Value != null)
                {
                    if (Convert.ToInt32(pl.Value) > Convert.ToInt32(ultraNumericEditor1.Value))
                    {
                        pl.PE.Fill = Color.Red;
                        pl.PE.FillGradientStyle = Infragistics.UltraChart.Shared.Styles.GradientStyle.None;
                    }
                    else
                    {
                        pl.PE.Fill = Color.Yellow;
                        pl.PE.FillGradientStyle = Infragistics.UltraChart.Shared.Styles.GradientStyle.None;
                    }
                }

                if (item.GetType() == typeof(Line) && ((Line)item).lineStyle.DrawStyle != LineDrawStyle.Dash)
                {
                    if (((Line)item).p1.X == ((Line)item).p2.X)
                    {
                       // ((Line)item).p1.Offset(this.ultraChart1.Width / 2, 0);
                       // ((Line)item).p2.Offset(this.ultraChart1.Width / 2, 0);
                    }
                    else
                    {
                        ((Line)item).p1.Offset(new Point(0,- 6*Convert.ToInt32(ultraNumericEditor1.Value))); 
                        ((Line)item).p2.Offset(new Point(0, -6 * Convert.ToInt32(ultraNumericEditor1.Value)));
                    }
                }
            }
        }

        private void ultraNumericEditor1_ValueChanged(object sender, EventArgs e)
        {
            ultraChart1.InvalidateLayers();
        }
    }
}
